/*
	MiniTERM library  mtslib.h
	Copyright 1991-1995 Ogasawara Hiroyuki (COR.)
*/
#ifndef	__MTs_LIB__
# define __MTs_LIB__
# ifndef __MTa_WLIB_
#  include	"mtalib.h"
# endif

extern int	MTsGetc();
extern int	MTsPutc( int );
extern int	MTsExit( int );
extern int	MTsFPutc( int, FILE* );
extern int	MTsFFlush( FILE* );
extern int	MTsSleep( int );
extern int	MTsUSleep( int );
extern void	*MTsSignal( int, void* );

#ifndef __MTs_NO_PROTO
extern int	MTsPuts( char* );
extern void	*MTsGets( char* );
extern int	MTsFPuts( char*, FILE* );
extern void	*MTsFGets( char*, int, FILE* );
extern int	MTsFWrite( char*, int, int, FILE* );
extern int	MTsWrite( int, char*, int );
#endif

#define		kSIGTERM	0xffff

#endif
